# Delete Storage instance

del `https://app.mk.io/api/v1/projects/:project_name/media/storage/:storage_name`

Deletes our record of your Storage instance.  
This operation **does not** delete your cloud storage, just our record of it.  
This operation will not complete successfully if any assets are associated with the Storage instance.

RBAC Capability Required: `infra.storage.delete`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name** string Required  
- **storage_name** string Required

## Response

- **204** Storage instance deleted  
  No response body.

## Errors

- **400** Bad Request  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error
  - **code** string Required  
    The error code.
  - **detail** string Required  
    The error message.
  - **extraDetail** map from strings to any Optional  
    Extra information regarding this error.
  - **ref** string Required  
    A reference to the request that caused the error.
  - **status** integer Required  
    The HTTP status code

- **401** Unauthorized  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- **403** Forbidden  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- **404** Not Found  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- **409** Conflict  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- **429** Too Many Requests  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

- **500** Internal Server Error  
  error object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
